(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ustring_command_option_spec.mli,v 1.2 2013-10-31 15:20:07 fclement Exp $ *)

module type STRUCTURE =
sig
  type t;;
  val name : string;;
  val plural_name : string;;
  val default : t;;
  val of_string : string -> t;;
  val to_string : t -> string;;
  val all : t list;;
end
;;

module type T =
sig
  type t;;
  val get : unit -> t;;
  val option : Ucommand_option.regular_command_option;;
end
;;

module type MAKER = functor (S : STRUCTURE) -> T with type t = S.t;;
