(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ufilename.ml,v 1.4 2014/01/10 15:28:04 fclement Exp $ *)

type filename = string;;
type t = filename;;

let chop_extension name =
  try
    let base = Filename.basename name in
    let pos = String.rindex base '.' in
    let dir = Filename.dirname name in
    if dir = "." then String.sub base 0 pos else
    Filename.concat dir (String.sub base 0 pos)
  with
  | Not_found -> name
;;
