(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: uindex_set.ml,v 1.1 2013/06/04 17:11:41 fclement Exp $ *)

(* The module defining sets of indices. *)

type 'a multi_d = 'a Uindex_set_types.multi_d;;

(* Mono-dimensional range. *)

type uni_range = Uindex_set_types.uni_range;;

let empty_uni_range = Uindex_set_types.empty_uni_range
and is_empty_uni_range = Uindex_set_types.is_empty_uni_range
and uni_range = Uindex_set_types.uni_range
;;

(* Range. *)

type range = Uindex_set_types.range;;

let empty_range = Uindex_set_types.empty_range
and is_empty_range = Uindex_set_types.is_empty_range
;;

(* Index set. *)

type index = Uindex_set_types.index;;

type index_set = Uindex_set_types.index_set;;

let empty_index_set = Uindex_set_types.empty_index_set
and is_empty_index_set is = is = empty_index_set
;;

let is_range = Uindex_set_types.is_range
and is_array = Uindex_set_types.is_array
and is_union = Uindex_set_types.is_union
;;
